HWiNFO32 Intro

Welcome to HWiNFO32 !

HWiNFO32 is a professional system information tool, that supports latest technologies and standards. It allows you to examine the complete hardware configuration of your computer.

  • Shows all hardware components hierarchically in a tree

  • Display most important computer parameters in a summary with real-time clock monitoring

  • Displays hardware monitoring status (temperatures, voltages, fans, currents, powers)

  • Does basic benchmarks (with a simple comparison chart)

  • Creates various types of logfiles (LOG, CSV, HTML, MHTML)

This program is updated periodicaly in order to support the newest components.
Be sure to check for the latest version at the HWiNFO(32) Homepage http://www.hwinfo.com.
Discuss and provide feedback on HWiNFO32 Forum.
HWiNFO32 is Freeware, you can use it without limitations, but disassembling or modifying is prohibited.

Copyright (c)1999-2010 Martin Malík - REALiX
All rights reserved.


Requirements

In order to be able to install and run HWiNFO32, the following requirements need to be met:

  1. Operating system: Microsoft Windows NT, Windows 2000, Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, Windows 7
    Microsoft Windows 95, Windows 98 and Windows ME and supported, however with limitations (several features will not be reported)

  2. Platform support:

    • 32-bit platforms: Supported without limitations

    • 64-bit (x64): Supported without limitations

    • Itanium (IA64): Supported with some limitations

  3. Local Administrative rights during installation of kernel driver


Troubleshooting

HWiNFO32 Configuration and Troubleshooting

If you experience problems running HWiNFO32 (a crash or lockup) you can try to disable the detection of some components, which may cause problems. Some computers may have problems especially during:

  • ATA/ATAPI device Low-level IO scan
  • ACPI AML Enumeration
  • Detection of Intel SpeedStep Technology via SMI
  • SMBus scan
  • Detection of AC'97 Codec ID
  • Reading of PCI configuration space on some Token-Ring cards
  • TPM Check

In this case you should disable the detection/support of those parts: immediately after starting HWiNFO32 push the "Settings" button and the "HWiNFO32 Settings" dialog will appear, where you can select, which of these items will HWiNFO32 detect while start-up.

IDE Drive Scan:
Allows to choose whether to query IDE/ATA/SATA/ATAPI drives via special driver calls (Safe Mode) or directly via I/O access (Low-level). IO access currently cannot detect SATA drives running in AHCI or RAID mode. This is possible only via Safe Mode for certain drive controllers. The Low-level IO access can cause problems on some machines.

Low-level PCI Access:
Bypass HAL and query PCI devices directly via Low-level I/O. May be required for some nVidia chipsets to provide more information.

Intel SpeedStep SMI:
Detection of Intel SpeedStep Technology (GV3) via low-level SMI requests. May cause problems on some machines.

SMBus Support:
Required for Memory Module, Hardware Sensors and P.I.ROM detection. Scanning of some SMBus devices may cause problems on some machines.

LPC & EC Support:
Enumeration and access to Super-IO (LPC) chips and Embedded Controllers.

Audio Codec Check:
Detect AC'97/HDA codecs using low-level access.

Safe scan of potentially problematic PCI devices:
Skip enumerating of some devices sensitive to PCI config space access (e.g. Token-Ring cards).

GPU I2C Support:
If disabled, skips enumeration of devices on GPU I2C interface. Required for GPU HW monitoring.

TPM Check:
Detect Trusted Platform Modules using low-level access. May cause problems on some computers.

Display System Summary on Startup:
Automatically open the System Summary screen after HWiNFO32 start.

Display Sensors on Startup:
Automatically open the Sensor monitoring screen after HWiNFO32 start.

Minimalize on Startup, suppress welcome:
Automatically minimalize application after start and do not display the welcome dialog. Useful in conjuction with automatically opening sensors screen.

Remember Application Preferences on this machine:
When enabled, HWiNFO32 remembers certain preferences like window position, size and sensor settings (custom labels, in-tray, color, etc.).

Clear Preferences:
Clear previously stored HWiNFO32 application preferences. Defaults will be used and new preferences can be stored.

Persistent Driver:
Selects whether the HWiNFO32 driver remains installed in system after first run (persistent).
If enabled, HWiNFO32 installs its kernel driver in system after first run and leaves it installed after closing. Subsequent HWiNFO32 runs do not require Administrative privilegia in this case. When uninstalling HWiNFO32 the driver needs to be uninstalled too - this is done automatically by the HWiNFO32 Uninstall process (triggered from Control Panel | Add or Remove Programs) or can be done manual using the HW32inst.exe utility shipped in the HWiNFO32 package.
When disabled, HWiNFO32 kernel driver remains installed only during HWiNFO32 is run. This option is suitable for portable usage.

Debug Mode:
In case HWiNFO32 does not detect components properly or you still experience problems running it, please contact the author. In order to locate the problem as fast as possible please select "Debug mode" option in the above dialog and run the program (note, that running in Debug mode is slower, especially the sensor scan). Upon completion or reboot (in case it crashed/locked up) please go the the HWiNFO32 installation folder and locate the "HWiNFO32.DBG" file (by default C:\Program Files\HWiNFO32\HWiNFO32.DBG). Please report the problem to mailto:mm@hwinfo.com including the description of problem and the HWiNFO32.DBG file.


Installation

HWiNFO32 requires a kernel driver (shipped in the package) to be installed in order to access hardware. If you run HWiNFO32 for the first time, the program installs this driver automatically. If you upgrade to a newer version of HWiNFO32, which may require a newer driver the program automatically does this upgrade (remove previous and install new version of driver). If you're uninstalling HWiNFO32 from computer (using Add/Remove Programs in Control Panel), the kernel driver will be uninstalled from the system as well.
Installing any Kernel-mode driver under Windows NT/2000/XP and above requires Administrative privilegia. Once this driver has been installed, you can run HWiNFO32 under any account (if the option "Persistent Driver" is selected).

In case of some problems with driver installation, you can use the "Install HWiNFO32 Kernel Driver" tool to install the driver manually, however, this shouldn't happen:

There are two options available, from which is only one available depending on the current driver installation status:

  • Install new: Installs the driver into system
  • Remove: Removes the driver from system